Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## UI
Class GEVAConfigGUI

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          UI.GEVAConfigGUI

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants, GEVAActionListener, GEVADirtyListener

    public class GEVAConfigGUI

extends javax.swing.JDialog
implements GEVADirtyListener, java.awt.event.WindowListener, java.awt.event.MouseListener, GEVAActionListener

Allow the config to be set up by a GUI, rather than just command line

Author:
  eliott bartley
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`GEVAConfigGUI(java.awt.Dialog owner)`
`GEVAConfigGUI(java.awt.Frame owner)`

Method Summary
`boolean` | `actionPerformed(GEVAActionEvent e)` Called when an event executes, such as LOAD/SAVE/DIRTY/VALID
`boolean` | `canDirty()` Get whether calling setDirty() will actually set the state as dirty (true) or not (false)
`boolean` | `forceReset()`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`boolean` | `needReset()` Return whether a configuration change requires a restart of the GUI for the changes to take place
`boolean` | `setClean()` Save the configuration details after prompting the user if they want to save.
`boolean` | `setClean(int flag)` Put the configuration dialog into a clean state by either saving any changes, or by simply flagging the changes as clean.
`void` | `setDirty()` Called when modifications were made that need to be saved
`void` | `setDirtyable(boolean dirtyable)` Called when modifications will be made, but will or will not need to be saved.
`void` | `windowActivated(java.awt.event.WindowEvent event)`
`void` | `windowClosed(java.awt.event.WindowEvent event)`
`void` | `windowClosing(java.awt.event.WindowEvent event)`
`void` | `windowDeactivated(java.awt.event.WindowEvent event)`
`void` | `windowDeiconified(java.awt.event.WindowEvent event)`
`void` | `windowIconified(java.awt.event.WindowEvent event)`
`void` | `windowOpened(java.awt.event.WindowEvent event)`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GEVAConfigGUI

    public GEVAConfigGUI(java.awt.Dialog owner)

### GEVAConfigGUI

    public GEVAConfigGUI(java.awt.Frame owner)

Method Detail

### setDirty

    public void setDirty()

  Description copied from interface: `GEVADirtyListener`
  Called when modifications were made that need to be saved

  Specified by:
    `setDirty` in interface `GEVADirtyListener`

### setDirtyable

    public void setDirtyable(boolean dirtyable)

  Description copied from interface: `GEVADirtyListener`
  Called when modifications will be made, but will or will not need to be saved. Although, just not calling setDirty is a solution to prevent a change needing saving, this is more general, saying that not only are future changes by the caller not be saved, but also, all other controls that can make modifications as a reaction to the caller changing. setDirtyable(false/true) calls should wrap as small a section of code as possible, as everything that can make modifications will lose their ability to flag that they need to save. e.g.
  setDirtyable(false);
  // Making a change that doesn't alter the meaning is a good time
  // to disable flagging a change that needs to save.
  formatValue();
  setDirtyable(true);

  Specified by:
    `setDirtyable` in interface `GEVADirtyListener`
  Parameters:
    `dirtyable` - pass true if future calls to setDirty are because of a modification that needs to be saved. pass false if future calls to setDirty are because of a modification that doesn't need to be saved

### canDirty

    public boolean canDirty()

  Description copied from interface: `GEVADirtyListener`
  Get whether calling setDirty() will actually set the state as dirty (true) or not (false)

  Specified by:
    `canDirty` in interface `GEVADirtyListener`
  Returns:
    whether calling setDirty() will actually set the state as dirty

### setClean

    public boolean setClean()

  Save the configuration details after prompting the user if they want to save. If the user cancels, or the save fails, false is returned and isDirty remains true. If the user says no, true is returned and isDirty remains true. If the user says yes, and save doesn't fail, true is returned and isDirty is set to false

### setClean

    public boolean setClean(int flag)

  Put the configuration dialog into a clean state by either saving any changes, or by simply flagging the changes as clean. Note. this does not actually do a save, it mearly attempts to put the state into a clean one, so basically, it either marks the state as clean, or asks the user what it should do--clean by saving, or ignore. To just do a save and clean the state, save should be called and if it succeedes, setClean(SCF_MARK) should then be called

  Parameters:
    `flag` - SCF_MARK to just mark it as clean, SCF_PROMPT to promot the user if it should save (if it's actually dirty at the time)
  Returns:
    true if it's ok to continue doing the action that required the configuration to be clean, false if the action should cancel. e.g. The user could say no to cleaning, but this will still return true, even though the config is still dirty, as the user said it was ok, so the calling code should continue as if it was clean. If the user said cancel however, it would mean it's not ok, and false is returned in this case

### actionPerformed

    public boolean actionPerformed(GEVAActionEvent e)

  Description copied from interface: `GEVAActionListener`
  Called when an event executes, such as LOAD/SAVE/DIRTY/VALID

  Specified by:
    `actionPerformed` in interface `GEVAActionListener`

### needReset

    public boolean needReset()

  Return whether a configuration change requires a restart of the GUI for the changes to take place

### forceReset

    public boolean forceReset()

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent event)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent event)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent event)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent event)

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent event)

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent event)

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent event)

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD